All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::ToGpuClonerMultiple Struct Reference
Inheritance diagram for faiss::gpu::ToGpuClonerMultiple:

## Public Member Functions

| ToGpuClonerMultiple (std::vector< GpuResources * > &resources, std::vector< int > &devices, const GpuMultipleClonerOptions &options)
| ToGpuClonerMultiple (const std::vector< ToGpuCloner > &sub_cloners, const GpuMultipleClonerOptions &options)
Index * | clone_Index (const Index *index) override
Public Member Functions inherited from faiss::Cloner
virtual VectorTransform * | clone_VectorTransform (const VectorTransform *)
virtual IndexIVF * | clone_IndexIVF (const IndexIVF *)

## Public Attributes

std::vector< ToGpuCloner > | sub_cloners
Public Attributes inherited from faiss::gpu::GpuMultipleClonerOptions
bool | shard
| shard rather than copying to each GPU
Public Attributes inherited from faiss::gpu::GpuClonerOptions
IndicesOptions | indicesOptions
| how should indices be stored on GpuIndexIVFPQ?
bool | useFloat16CoarseQuantizer
| is the coarse quantizer in float16?
bool | useFloat16
bool | usePrecomputed
| use precomputed tables?
long | reserveVecs
| reserve vectors in the invfiles?
int | verbose

## Detailed Description

Definition at line 131 of file GpuAutoTune.cpp.

The documentation for this struct was generated from the following file:

- GpuAutoTune.cpp